
levelmap = love.graphics.newImage("level/map.png")
imageData = love.image.newImageData("level/map.png")
level = 0
--spike = love.graphics.newImage("spike.png")
tileSize = 50
goldCount = 0

ob = {}
sp = {}
tp = {}

exits = {}

gold = {}

d1 = {}
d2 = {}

spawnX = 0
spawnY = 0

function load_map()

	for i=0,levelmap:getHeight() - 1 do
		for j=0,levelmap:getWidth() - 1 do
			r, g, b, a = imageData:getPixel( j,i)
			if(r == 255 and g == 255 and b == 255) then
				o = {}
				o.x = j * tileSize
				o.y = i * tileSize
				o.w = tileSize
				o.h = tileSize
				table.insert(ob,o)
			end
			if(r == 0 and g == 0 and b == 255) then
				d = {}
				d.x = j * tileSize
				d.y = i * tileSize
				d.w = tileSize
				d.h = tileSize
				table.insert(d1,d)
			end
			if(r == 0 and g == 255 and b == 0) then
				d = {}
				d.x = j * tileSize
				d.y = i * tileSize
				d.w = tileSize
				d.h = tileSize
				table.insert(d2,d)
			end
			if(r == 255 and g == 255 and b == 0) then
				g = {}
				g.x = j * tileSize
				g.y = i * tileSize
				g.w = tileSize
				g.h = tileSize
				table.insert(gold,g)
				goldCount = goldCount + 1
			end
			if(r == 0 and g == 255 and b == 255) then
				ex = {}
				ex.x = j * tileSize
				ex.y = i * tileSize
				ex.w = tileSize
				ex.h = tileSize * 2
				table.insert(exits,ex)
			end
			if(r == 100 and g == 100 and b == 100) then
				e = {}
				e.x = j * tileSize
				e.y = i * tileSize
				e.w = 20
				e.d = 1
				e.facing = -1
				e.speed = 100
				e.starty = e.y
				e.startx = e.x
				e.t = 100
				e.draw = false
				e.sound = 100
				e.stun = false
				e.chase = false
				e.endX = 0
				e.endY = 0
				e.home = false
				e.firerate = 0.2
				table.insert(enemies,e)
			end
			if(r == 200 and g == 200 and b == 200) then
				e = {}
				e.x = j * tileSize
				e.y = i * tileSize
				e.w = 20
				e.d = 2
				e.facing = -1
				e.speed = 100
				e.starty = e.y
				e.startx = e.x
				e.t = 100
				e.draw = false
				e.sound = 100
				e.stun = false
				e.chase = false
				e.endX = 0
				e.endY = 0
				e.home = false
				e.firerate = 0.2
				table.insert(enemies,e)
			end
			if(r == 200 and g == 100 and b == 0) then
				spawnX = (j * tileSize - 1280/2) * -1
				spawnY = i * tileSize - 720/2
				screen.x = spawnX
				screen.y = spawnY
			end
		end
	end	
end

function world_draw()
	for i,v in ipairs(ob) do
		if(  v.x + screen.x - love.graphics.getWidth()  < love.graphics.getWidth() and v.w + v.x + screen.x > 0) then
			love.graphics.rectangle("fill",v.x + screen.x,v.y - screen.y,v.w,v.h)
		end
	end
	love.graphics.setColor(255,255,0)
	for i,v in ipairs(gold) do	
		love.graphics.rectangle("fill",v.x + screen.x, v.y - screen.y, v.w,v.h)
	end
	love.graphics.setColor(255,255,255)
	
	love.graphics.setColor(0,255,255)
	for i,v in ipairs(exits) do
		
		love.graphics.rectangle("fill",v.x + screen.x, v.y - screen.y, v.w,v.h)
		
	end
	love.graphics.setColor(255,255,255)

	--for i,v in ipairs(d1) do
		--love.graphics.setColor(0,0,255)
		--love.graphics.rectangle("fill",v.x + screen.x,v.y - screen.y,v.w,v.h)
		--love.graphics.setColor(255,255,255)
	--end
	--for i,v in ipairs(d2) do
		--love.graphics.setColor(0,255,0)
		--love.graphics.rectangle("fill",v.x + screen.x,v.y - screen.y,v.w,v.h)
		--love.graphics.setColor(255,255,255)
	--end
	


end