require "player"
require "enemies"
require "world"
require "draw"
require "items"
require "reset"

screen = {}
screen.x = 550
screen.y = 750

gamestate = "menu"

function love.load()

	load_map()

end

function love.update(dt)
	if(gamestate == "menu") then
		
	end
	
	if(gamestate == "playing") then
		if(player.hit == false) then
			player_update(dt)
			enemy_update(dt)
			--items_update(dt)
		end
		if(player.hit == true) then
			if(love.keyboard.isDown("r")) then
				reset()
				load_map()
				screen.x = spawnX
				screen.y = spawnY
				player.hit = false
			end
		end
		draw_update()
	end

end
fov = love.graphics.newImage("gfx/fov.png")
freeze = love.graphics.newImage("gfx/freeze.png")
function love.draw()
	

	if(gamestate == "playing") then
		world_draw()
		love.graphics.draw(fov,0,0)
		enemy_draw()
		items_draw()
		draw_draw()
		player_draw()
		
		if(player.hit == true) then
			love.graphics.print("Good job, you're dead. Press 'r' to retry", 140,250)
		end
	end
	
	if(gamestate == "menu") then
		love.graphics.print("Press space to start", 500,500)
	end
end

function love.keypressed(key)
	if key == "escape" then
		love.event.push("quit")
	end
	if(gamestate == "menu") then
		if key == " " then
			gamestate = "playing"
		end
	end
end

function CheckCollision(ax1,ay1,aw,ah, bx1,by1,bw,bh)

  local ax2,ay2,bx2,by2 = ax1 + aw, ay1 + ah, bx1 + bw, by1 + bh
  return ax1 < bx2 and ax2 > bx1 and ay1 < by2 and ay2 > by1
end

function distBasedCollision(ax, ay, bx, by, ar, br)
    return (bx - ax)^2 + (by - ay)^2 < (ar + br)^2
end